public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/boolector/files/, sci-mathematics/boolector/
@ 2023-11-02 22:11 Maciej Barć
  0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2023-11-02 22:11 UTC (permalink / raw
  To: gentoo-commits

commit:     07cc52f59e59f75285f52bffffa37be0f5bd867f
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Thu Nov  2 22:06:38 2023 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Thu Nov  2 22:11:22 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=07cc52f5

sci-mathematics/boolector: bump to 3.2.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 sci-mathematics/boolector/Manifest                 |  1 +
 sci-mathematics/boolector/boolector-3.2.3.ebuild   | 84 ++++++++++++++++++++++
 .../files/boolector-3.2.3-cmake-std.patch          | 10 +++
 3 files changed, 95 insertions(+)

diff --git a/sci-mathematics/boolector/Manifest b/sci-mathematics/boolector/Manifest
index 14c297d8f681..4cebd85e36a1 100644
--- a/sci-mathematics/boolector/Manifest
+++ b/sci-mathematics/boolector/Manifest
@@ -1 +1,2 @@
 DIST boolector-3.2.2_p20220110.tar.gz 1567668 BLAKE2B 6816f0434d88c790a27b9afe4c3b63c18a55b14f9f13b092f2940309e34842fe4868bf8d378bad130c4561d25e7d79b356fc27d9422bd42ba1b74ff98be36f72 SHA512 b1b964c155c8227e631025cf6bff69cf54728b1d875c2bd44a5a1ddb2857de2ab8fefc96d194faa5f98015e730b417d46a415ea601740e890df07ad5e50ad656
+DIST boolector-3.2.3.tar.gz 1566566 BLAKE2B 1c9adb1272c2289af6afce0149b11ce36a42aef47f1b3353f5f9dbaf12287718f29e45415b82b723bd37fb0438517c48d64a12f0c038105edeb6036f49189ac7 SHA512 a85c10edf05455e2911614f9d8f2b214a136470852b31a631c96247416dab822efcc6d9047f3a85c85aff499e8eb62fb36e52f2633511c5b42d287c4962c4239

diff --git a/sci-mathematics/boolector/boolector-3.2.3.ebuild b/sci-mathematics/boolector/boolector-3.2.3.ebuild
new file mode 100644
index 000000000000..1497adc7c225
--- /dev/null
+++ b/sci-mathematics/boolector/boolector-3.2.3.ebuild
@@ -0,0 +1,84 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit python-single-r1 cmake
+
+DESCRIPTION="Fast SMT solver for bit-vectors, arrays and uninterpreted functions"
+HOMEPAGE="https://boolector.github.io/
+	https://github.com/Boolector/boolector/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+
+	EGIT_REPO_URI="https://github.com/Boolector/${PN}.git"
+else
+	SRC_URI="https://github.com/Boolector/${PN}/archive/${PV}.tar.gz
+		-> ${P}.tar.gz"
+
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="MIT"
+SLOT="0"
+IUSE="cryptominisat examples +gmp minisat +picosat python test"
+REQUIRED_USE="
+	python? ( ${PYTHON_REQUIRED_USE} )
+	|| ( cryptominisat minisat picosat )
+"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	sci-mathematics/btor2tools:=
+	cryptominisat? ( sci-mathematics/cryptominisat:= )
+	gmp? ( dev-libs/gmp:= )
+	minisat? ( sci-mathematics/minisat:= )
+	picosat? ( sci-mathematics/picosat:= )
+	python? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+	${RDEPEND}
+"
+BDEPEND="
+	test? ( dev-cpp/gtest )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-3.2.3-cmake-std.patch" )
+
+pkg_setup() {
+	use python && python-single-r1_pkg_setup
+}
+
+src_configure() {
+	local -a mycmakeargs=(
+		-DBUILD_SHARED_LIBS=ON
+		-DBtor2Tools_LIBRARIES=/usr/$(get_libdir)/libbtor2parser.so
+		-DUSE_PYTHON2=OFF
+		-DPYTHON=$(usex python)
+		-DTESTING=$(usex test)
+		-DUSE_GMP=$(usex gmp)
+		-DUSE_PYTHON3=$(usex python)
+
+		# Integration with other SMT solvers
+		-DUSE_LINGELING=OFF  # Not packaged yet.
+		-DUSE_CADICAL=OFF  # Fails to link.
+		-DUSE_CMS=$(usex cryptominisat)
+		-DUSE_MINISAT=$(usex minisat)
+		-DUSE_PICOSAT=$(usex picosat)
+	)
+	cmake_src_configure
+}
+
+src_install() {
+	cmake_src_install
+
+	dodir "/usr/$(get_libdir)"
+	mv "${ED}/usr/lib"/*.so "${ED}/usr/$(get_libdir)/" || die
+
+	if use examples ; then
+		dodoc -r examples
+	fi
+}

diff --git a/sci-mathematics/boolector/files/boolector-3.2.3-cmake-std.patch b/sci-mathematics/boolector/files/boolector-3.2.3-cmake-std.patch
new file mode 100644
index 000000000000..fd0d840fc64c
--- /dev/null
+++ b/sci-mathematics/boolector/files/boolector-3.2.3-cmake-std.patch
@@ -0,0 +1,10 @@
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -196,7 +196,6 @@ set_option(USE_PICOSAT ON)
+ #       btorconfig.h and they are else not yet added to CMAKE_C(XX)_FLAGS at
+ #       file generation time (configure_file).
+ add_required_c_flag("-std=gnu99")
+-add_required_cxx_flag("-std=gnu++11")
+ 
+ add_check_c_cxx_flag("-W")
+ add_check_c_cxx_flag("-Wall")


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2023-11-02 22:11 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-11-02 22:11 [gentoo-commits] repo/gentoo:master commit in: sci-mathematics/boolector/files/, sci-mathematics/boolector/ Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox